import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class AppTheme {
  static Color primary = Color(0xFF7A872C);
  static Color secondary = Colors.black;
  static Color tertiary = const Color(0xFF242424);
  static Color quaternary = const Color(0xFFF1F1F3);
  static ThemeData lightTheme = ThemeData.light().copyWith(
    useMaterial3: true,
    //Scaffold
    scaffoldBackgroundColor: Color(0xFFE0E0E0),
    //Tema de AppBar
    appBarTheme: AppBarTheme(
      color: primary,
      foregroundColor: secondary,
      systemOverlayStyle: SystemUiOverlayStyle(
        statusBarColor: primary,
        statusBarIconBrightness: Brightness.dark,
      ),
      iconTheme: IconThemeData(
        color: secondary,
      ),
    ),
    //Tema de floatingActionButton
    floatingActionButtonTheme: FloatingActionButtonThemeData(
      backgroundColor: primary,
      foregroundColor: secondary,
    ),
    //Tema de progressIndicator
    progressIndicatorTheme: ProgressIndicatorThemeData(color: tertiary),
    //Tema de DatePicker
    datePickerTheme: DatePickerThemeData(
      inputDecorationTheme: InputDecorationTheme(
          //labelStyle: GoogleFonts.greatVibes(), // Input label
          ),
      backgroundColor: const Color(0xFFDBDBDB), //secondary,
      headerBackgroundColor: primary,
      todayBackgroundColor:
          const MaterialStatePropertyAll(Color(0xFFDBDBDB)), //primary
      todayForegroundColor:
          const MaterialStatePropertyAll(Color.fromARGB(255, 0, 0, 0)),
      rangePickerBackgroundColor: secondary,
      // dayOverlayColor: MaterialStatePropertyAll(primary),
      //headerHelpStyle: const TextStyle(fontSize: 18),
    ),
  );
}
